﻿using System;
using System.Collections.ObjectModel;
using System.Diagnostics;
using System.Linq;
using System.Windows;
using Telerik.Windows.DragDrop;

namespace ListBoxLimitDropTarget
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
 
			listView.ItemsSource = new ObservableCollection<string>() { "aaa", "bbb", "ccc" };
			ListView1.ItemsSource = new ObservableCollection<string>();
			GridView.ItemsSource = new ObservableCollection<string>();
			//DragDropManager.AddDragLeaveHandler(listView, OnDragLeave);
			DragDropManager.AddDragOverHandler(treeView, OnDragOver);
		}
 
		private void OnDragLeave(object sender, Telerik.Windows.DragDrop.DragEventArgs args)
		{
			Trace.WriteLine("OnDragLeave");
			args.Effects = DragDropEffects.None;
			args.Handled = true;
		}

		private void OnDragOver(object sender, Telerik.Windows.DragDrop.DragEventArgs args)
		{
			Trace.WriteLine("OnTreeViewDragOver");
			args.Effects = DragDropEffects.None;
			args.Handled = true;
		}
	}
}